
/* Flip modifier */
.flip {
  padding: 0;
  border: none;
  background: transparent;
  box-shadow: none;
  margin: 0;
  /* Margin handled by grid gap now */
  text-align: center;
  transition: transform 0.6s;
  transform-style: preserve-3d;
  transform: perspective(62.5rem) rotateY(0deg);
}

a:hover .flip,
a:focus-within .flip,
.flip:hover,
.flip:focus-within {
  transform: perspective(62.5rem) rotateY(180deg);
  box-shadow: none;
}

/* Faces for flip card */
.front,
.back {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  border-radius: 0.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 1.25rem;
  box-sizing: border-box;
  font-weight: 600;
  font-size: 1.1rem;
  box-shadow: 0 0.25rem 0.625rem rgba(0, 0, 0, 0.1);
}

.front {
  color: var(--rich-black);
  background: var(--rich-white);
}

.back {
  color: var(--rich-white);
  background: var(--rich-black);
  transform: rotateY(180deg);
}